<div *ngIf="open$ | async" class="file-brief"
[style.left.px]="fileX"
[style.top.px]="fileY">
    <ng-container *ngIf="(file$ | async) as file">

        <ng-container *ngIf="file.body else loading">
            <mr-image [path]="file.picture"></mr-image>
            <p *ngIf="file.body | htmlSlice:180 as text">
                {{ text }} <a *ngIf="text.length > 180" (click)="showInSidebar(file)">Leer mas</a></p>
        </ng-container>

        <ng-template #loading>
            <mr-ghost-box [height]="117"></mr-ghost-box>
        </ng-template>

    </ng-container>
</div>

<span class="pointer" [class.shown]="open$ | async"><ng-content></ng-content></span>
